Skip to main content
`Ctrl`+`K`
scipy.stats._result_classes.

# EmpiricalDistributionFunction

class scipy.stats._result_classes.EmpiricalDistributionFunction(q, p, n, d, kind)

  An empirical distribution function produced by `scipy.stats.ecdf`

  Attributes:
    quantiles ndarray

      The unique values of the sample from which the `EmpiricalDistributionFunction` was estimated.

    probabilities ndarray

      The point estimates of the cumulative distribution function (CDF) or its complement, the survival function (SF), corresponding with quantiles.

  Methods

  `confidence_interval`([confidence_level, method]) | Compute a confidence interval around the CDF/SF point estimate
  `evaluate`(x) | Evaluate the empirical CDF/SF function at the input.
  `plot`([ax]) | Plot the empirical distribution function